toEnuAdp {oce} | R Documentation

## Convert from ENU coordinates

### Description

Convert ADP velocities to enu coordinates, from any other coordinates

### Usage

    toEnuAdp(x, declination=0, debug=getOption("oceDebug"))

### Arguments

`x` | an object of class `"adp"`.
`declination` | magnetic declination to be added to the heading, to get ENU with N as "true" north.
`debug` | a flag that, if non-zero, turns on debugging. Higher values yield more extensive debugging. This is passed to called functions, after subtracting 1.

### Details

This is mostly a wrapper that calls `beamToXyzAdp` if needed, and then calls `xyzToEnuAdp`.

### Author(s)

Dan Kelley

### References

http://www.nortek-as.com/lib/forum-attachments/coordinate-transformation

### See Also

See `read.adp` for notes on functions relating to `"adp"` objects. Also, see `beamToXyzAdp` and `xyzToEnuAdp`.

[Package oce version 0.9-18 Index]